
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderpayrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ServiceStatusCodeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ServiceStatusCodeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="EXPIRED"/&amp;gt;
 *     &amp;lt;enumeration value="IN PROGRESS"/&amp;gt;
 *     &amp;lt;enumeration value="NOT CLAIMED"/&amp;gt;
 *     &amp;lt;enumeration value="REMOVED"/&amp;gt;
 *     &amp;lt;enumeration value="REQUESTED"/&amp;gt;
 *     &amp;lt;enumeration value="LOCKED"/&amp;gt;
 *     &amp;lt;enumeration value="DELIVERED"/&amp;gt;
 *     &amp;lt;enumeration value="FAILED TO DELIVER"/&amp;gt;
 *     &amp;lt;enumeration value="SUSPENDED"/&amp;gt;
 *     &amp;lt;enumeration value="READY TO DELIVER"/&amp;gt;
 *     &amp;lt;enumeration value="CONFIRMED"/&amp;gt;
 *     &amp;lt;enumeration value="READY TO PROCEED"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ServiceStatusCodeContentType")
@XmlEnum
public enum ServiceStatusCodeContentType {


    /**
     * The service was delivered partially
     * 
     */
    EXPIRED("EXPIRED"),

    /**
     * Service delivery by delivery provider is in progress.
     * 
     */
    @XmlEnumValue("IN PROGRESS")
    IN_PROGRESS("IN PROGRESS"),

    /**
     * Customer did not claim the service delivery as expected by the Delivery Provider (e.g. no show).
     * 
     */
    @XmlEnumValue("NOT CLAIMED")
    NOT_CLAIMED("NOT CLAIMED"),

    /**
     * Service delivery successfully completed by the Delivery Provider to the passenger on-board.
     * 
     */
    REMOVED("REMOVED"),

    /**
     * Service is ready to be ordered from the Delivery Provider. (I.e. it has not been ordered as yet!).
     * 
     */
    REQUESTED("REQUESTED"),

    /**
     * Order Management system blocked the Delivery Provider from Delivering the Service previously Ordered or the Service Delivery was interrupted. The delivery may resume in the future.
     * 
     */
    LOCKED("LOCKED"),

    /**
     * Service delivery successfully completed by the Delivery Provider.
     * 
     */
    DELIVERED("DELIVERED"),

    /**
     * Delivery of the service failed. For example, the passenger was denied boarding.
     * 
     */
    @XmlEnumValue("FAILED TO DELIVER")
    FAILED_TO_DELIVER("FAILED TO DELIVER"),

    /**
     * Delivery provider was successfully informed about the service he has to deliver.
     * 
     */
    SUSPENDED("SUSPENDED"),

    /**
     * Provider is in a position to start delivery of the service.
     * 
     */
    @XmlEnumValue("READY TO DELIVER")
    READY_TO_DELIVER("READY TO DELIVER"),

    /**
     * Delivery provider (cabin crew) is in a position to start delivery of the Service.
     * 
     */
    CONFIRMED("CONFIRMED"),

    /**
     * Airline is in a position to start delivery of the Service, or in a position to allow a Delivery Provider to prepare the service
     * 
     */
    @XmlEnumValue("READY TO PROCEED")
    READY_TO_PROCEED("READY TO PROCEED");
    private final String value;

    ServiceStatusCodeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ServiceStatusCodeContentType fromValue(String v) {
        for (ServiceStatusCodeContentType c: ServiceStatusCodeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
